A list of workflow schedules













Beta Workflows Schedules Endpoints
Create and manage workflow schedules.












Examples
Real world code examples
Get Schedules
GET /v1/workflows/schedules
200
Successful Response
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/schedules \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/schedules \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"schedules": [
{
"input": null,
"schedule_id": "ipsum eiusmod"
}
]
}{
"schedules": [
{
"input": null,
"schedule_id": "ipsum eiusmod"
}
]
}Schedule Workflow
POST /v1/workflows/schedules
deployment_name
Name of the deployment to route this schedule to
Specification of the times scheduled actions may occur.
The times are the union of :py:attr:calendars, :py:attr:intervals, and
:py:attr:cron_expressions excluding anything in :py:attr:skip.
Used for input where schedule_id is optional (can be provided or auto-generated).
schedule_id
Allows you to specify a custom schedule ID. If not provided, a random ID will be generated.
workflow_identifier
The name or ID of the workflow to schedule
workflow_registration_id
The ID of the workflow registration to schedule
workflow_task_queue
Deprecated. Use deployment_name instead.
workflow_version_id
Deprecated: use workflow_registration_id
201
Successful Response
schedule_id
The ID of the schedule
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/schedules \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"schedule": {
"input": null
}
}'curl https://api.mistral.ai/v1/workflows/schedules \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"schedule": {
"input": null
}
}'201
{
"schedule_id": "ipsum eiusmod"
}{
"schedule_id": "ipsum eiusmod"
}Unschedule Workflow
DELETE /v1/workflows/schedules/{schedule_id}
schedule_id
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/schedules/{schedule_id} \
-X DELETE \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'curl https://api.mistral.ai/v1/workflows/schedules/{schedule_id} \
-X DELETE \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'